Bug 809509 - EPP-SP: Search results page shows incorrect links
EPP-SP: Search results page shows incorrect links
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Site Publisher (Show other bugs)
5.2.0.GA,5.2.0.SP.GA
Unspecified Unspecified
unspecified Severity high
: ---
: 5.2.1.SP.GA
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 10:49 EDT by Martin Weiler
Modified: 2012-04-12 11:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A search in the ACME portal returned incorrect links for the search results if the server was accessed over port 80. This has been corrected, to generate working search links regardless of the port the server instance is running on.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
EXO WCM JIRA SPREDHAT-139 None None None Never

  None (edit)
Description Martin Weiler 2012-04-03 10:49:05 EDT
Description of problem:
Search any term in acme portal ("lorem" for example) the results page, shows the link as
http://localhost:80/ecmdemo/acme/http_//localhost/ecmdemo/acme/detail%3Fcontent-id=/repository/collaboration/sites%2520content/live/acme/documents/offices.jpg
It should be
http://localhost:80/ecmdemo/acme/detail?content-id=/repository/collaboration/sites%20content/live/acme/documents/offices.jpg
You can see the URL is incorrect.
However that only happens if apache httpd serves as frontend in 80 port.
If put apache httpd in 81 port, works fine. Only 80 shows the incorrect links. Searching directly in EPPSP 8080 port, works fine.


How reproducible:
Always, if EPP is accessed over port 80.
Comment 2 Martin Weiler 2012-04-11 05:57:25 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A search in the ACME portal returned incorrect links for the search results if the server was accessed over port 80. This has been corrected, to generate working search links regardless of the port the server instance is running on.
Comment 3 Tomas Kyjovsky 2012-04-12 10:20:09 EDT
Verified with jboss-eppsp-5.2.1.ER02-exo-2.3.6-CP01-120322114606. The result URLs are ok.
Comment 4 prabhat jha 2012-04-12 11:30:03 EDT
pls see comment above.

Note You need to log in before you can comment on or make changes to this bug.